Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Threaded View
HBase >> mail # dev >> unable to generate assembly using trunk


Copy link to this message
-
unable to generate assembly using trunk
Hi,
Using this command: mvn package assembly:single -DskipTests
I got:

INFO] HBase ............................................. FAILURE [20.459s]
[INFO] HBase - Common .................................... SKIPPED
[INFO] HBase - Protocol .................................. SKIPPED
[INFO] HBase - Client .................................... SKIPPED
[INFO] HBase - Hadoop Compatibility ...................... SKIPPED
[INFO] HBase - Hadoop One Compatibility .................. SKIPPED
[INFO] HBase - Server .................................... SKIPPED
[INFO] HBase - Hadoop Two Compatibility .................. SKIPPED
[INFO] HBase - Integration Tests ......................... SKIPPED
[INFO] HBase - Examples .................................. SKIPPED
[INFO]
------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO]
------------------------------------------------------------------------
[INFO] Total time: 21.037s
[INFO] Finished at: Tue Dec 04 16:23:04 PST 2012
[INFO] Final Memory: 19M/81M
[INFO]
------------------------------------------------------------------------
[ERROR] Failed to execute goal
org.apache.maven.plugins:maven-assembly-plugin:2.3:single (default-cli) on
project hbase: Failed to create assembly: Unable to resolve dependencies
for assembly 'all': Failed to resolve dependencies for assembly: Missing:
[ERROR] ----------
[ERROR] 1) org.apache.hbase:hbase-client:jar:0.95-SNAPSHOT
[ERROR]
[ERROR] Try downloading the file manually from the project website.
[ERROR]
[ERROR] Then, install it using the command:
[ERROR] mvn install:install-file -DgroupId=org.apache.hbase
-DartifactId=hbase-client -Dversion=0.95-SNAPSHOT -Dpackaging=jar
-Dfile=/path/to/file
[ERROR]
[ERROR] Alternatively, if you host your own repository you can deploy the
file there:
[ERROR] mvn deploy:deploy-file -DgroupId=org.apache.hbase
-DartifactId=hbase-client -Dversion=0.95-SNAPSHOT -Dpackaging=jar
-Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
[ERROR]
[ERROR] Path to dependency:
[ERROR] 1) org.apache.hbase:hbase:pom:0.95-SNAPSHOT
[ERROR] 2) org.apache.hbase:hbase-client:jar:0.95-SNAPSHOT
[ERROR]
[ERROR] 2) org.apache.hbase:hbase-hadoop1-compat:jar:0.95-SNAPSHOT
[ERROR]
[ERROR] Try downloading the file manually from the project website.
[ERROR]
[ERROR] Then, install it using the command:
[ERROR] mvn install:install-file -DgroupId=org.apache.hbase
-DartifactId=hbase-hadoop1-compat -Dversion=0.95-SNAPSHOT -Dpackaging=jar
-Dfile=/path/to/file
[ERROR]
[ERROR] Alternatively, if you host your own repository you can deploy the
file there:
[ERROR] mvn deploy:deploy-file -DgroupId=org.apache.hbase
-DartifactId=hbase-hadoop1-compat -Dversion=0.95-SNAPSHOT -Dpackaging=jar
-Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
[ERROR]
[ERROR] Path to dependency:
[ERROR] 1) org.apache.hbase:hbase:pom:0.95-SNAPSHOT
[ERROR] 2) org.apache.hbase:hbase-hadoop1-compat:jar:0.95-SNAPSHOT
[ERROR]
[ERROR] 3) org.apache.hbase:hbase-protocol:jar:0.95-SNAPSHOT
[ERROR]
[ERROR] Try downloading the file manually from the project website.
[ERROR]
[ERROR] Then, install it using the command:
[ERROR] mvn install:install-file -DgroupId=org.apache.hbase
-DartifactId=hbase-protocol -Dversion=0.95-SNAPSHOT -Dpackaging=jar
-Dfile=/path/to/file
[ERROR]
[ERROR] Alternatively, if you host your own repository you can deploy the
file there:
[ERROR] mvn deploy:deploy-file -DgroupId=org.apache.hbase
-DartifactId=hbase-protocol -Dversion=0.95-SNAPSHOT -Dpackaging=jar
-Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
[ERROR]
[ERROR] Path to dependency:
[ERROR] 1) org.apache.hbase:hbase:pom:0.95-SNAPSHOT
[ERROR] 2) org.apache.hbase:hbase-protocol:jar:0.95-SNAPSHOT
[ERROR]
[ERROR] 4) org.apache.hbase:hbase-hadoop-compat:jar:0.95-SNAPSHOT
[ERROR]
[ERROR] Try downloading the file manually from the project website.
[ERROR]
[ERROR] Then, install it using the command:
[ERROR] mvn install:install-file -DgroupId=org.apache.hbase
-DartifactId=hbase-hadoop-compat -Dversion=0.95-SNAPSHOT -Dpackaging=jar
-Dfile=/path/to/file
[ERROR]
[ERROR] Alternatively, if you host your own repository you can deploy the
file there:
[ERROR] mvn deploy:deploy-file -DgroupId=org.apache.hbase
-DartifactId=hbase-hadoop-compat -Dversion=0.95-SNAPSHOT -Dpackaging=jar
-Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
[ERROR]
[ERROR] Path to dependency:
[ERROR] 1) org.apache.hbase:hbase:pom:0.95-SNAPSHOT
[ERROR] 2) org.apache.hbase:hbase-hadoop-compat:jar:0.95-SNAPSHOT
[ERROR]
[ERROR] ----------
[ERROR] 4 required artifacts are missing.
[ERROR]
[ERROR] for artifact:
[ERROR] org.apache.hbase:hbase:pom:0.95-SNAPSHOT
[ERROR]

FYI
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB